package controleur;

import modele.Dessin;
import modele.Point;
import modele.Trace;
import vue.FenetreDeDessin;

import java.awt.event.MouseEvent;

public class ControleurTrace extends ControleurSouris {
    private Trace trace;
    public ControleurTrace(FenetreDeDessin fenetre, Dessin dessin) { pour(fenetre, dessin); }
    public void mousePressed(MouseEvent e) {
    	super.mousePressed(e);
        trace = new Trace(vue.epaisseur(), vue.couleur());
        modele.add(trace);
        trace.add(new Point(x, y));
    }
    public void mouseDragged(MouseEvent e) {
        vue.dessineSegment(x, y, e.getX(), e.getY());
        x = e.getX();
        y = e.getY();
        trace.add(new Point(x, y));
    }
}
