package controleur;

import modele.Dessin;
import vue.FenetreDeDessin;

import java.awt.*;
import java.awt.event.KeyEvent;
import java.awt.event.KeyListener;

public class ControleurClavier implements KeyListener {
    private FenetreDeDessin vue;
    private Dessin modele;
    public void pour(Dessin dessin, FenetreDeDessin fenetre) {
        modele = dessin;
        vue = fenetre;
    }
    public void keyPressed(KeyEvent keyevent) { }
    public void keyReleased(KeyEvent keyevent) { }
    public void keyTyped(KeyEvent e) {
        char c = e.getKeyChar();
        if (Character.isDigit(c) && c != '0') {
            int epaisseur = Character.digit(c,10);
            vue.changeEpaisseur(epaisseur);
            modele.changementDEpaisseur(epaisseur);
        } else {
            switch (Character.toUpperCase(c)) {
                //les couleurs
                case 'R' :
                    modele.changementDeCouleur(Color.red);
                    vue.changeCouleur(Color.red);
                    break;
                case 'V' :
                    modele.changementDeCouleur(Color.green);
                    vue.changeCouleur(Color.green);
                    break;
                case 'B' :
                    modele.changementDeCouleur(Color.blue);
                    vue.changeCouleur(Color.blue);
                    break;
                case 'J' :
                    modele.changementDeCouleur(Color.yellow);
                    vue.changeCouleur(Color.yellow);
                    break;
                case 'N' :
                    modele.changementDeCouleur(Color.black);
                    vue.changeCouleur(Color.black);
                    break;
                //les outils
                case 'T' : vue.outilTrace();  break;
                case 'E' : vue.outilEtoile(); break;
            }
        }
    }
}
