package controleur;

import modele.Dessin;
import modele.Etoile;
import vue.FenetreDeDessin;

import java.awt.event.MouseEvent;
import modele.Point;

public class ControleurEtoile extends ControleurSouris {
    private Etoile etoile;
    public ControleurEtoile(FenetreDeDessin fenetre, Dessin dessin) { pour(fenetre, dessin); }
    public void mousePressed(MouseEvent e) {
    	super.mousePressed(e);
        etoile = new Etoile(vue.epaisseur(), vue.couleur());
        modele.add(etoile);
        etoile.add(new Point(x, y));
    }
    public void mouseDragged(MouseEvent e) {
        vue.dessineSegment(x, y, e.getX(), e.getY());
        etoile.add(new Point(e.getX(), e.getY()));
    }
}
